Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl2/spaceshipdlg.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions | Variables
spaceshipdlg.c File Reference
`#include "fcintl.h"`
`#include "log.h"`
`#include "game.h"`
`#include "nation.h"`
`#include "packets.h"`
`#include "victory.h"`
`#include "client_main.h"`
`#include "text.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "mapview.h"`
`#include "widget.h"`
`#include "spaceshipdlg.h"`
`#include "speclist.h"`

Go to the source code of this file.

## Macros

#define | SPECLIST_TAG dialog
#define | SPECLIST_TYPE struct small_dialog
#define | dialog_list_iterate(dialoglist, pdialog) TYPED_LIST_ITERATE(struct small_dialog, dialoglist, pdialog)
#define | dialog_list_iterate_end LIST_ITERATE_END

## Functions

static struct small_dialog * | get_spaceship_dialog (struct player *pplayer)
static int | space_dialog_window_callback (struct widget *pwindow)
static int | exit_space_dialog_callback (struct widget *pwidget)
static int | launch_spaceship_callback (struct widget *pwidget)
void | refresh_spaceship_dialog (struct player *pplayer)
void | popup_spaceship_dialog (struct player *pplayer)
void | popdown_spaceship_dialog (struct player *pplayer)

## Variables

static struct dialog_list * | dialog_list = NULL
static bool | dialog_list_has_been_initialised = FALSE

## Macro Definition Documentation

## ◆ dialog_list_iterate

#define dialog_list_iterate | ( |  | dialoglist,
|  |  | pdialog
| ) |  | TYPED_LIST_ITERATE(struct small_dialog, dialoglist, pdialog)

Definition at line 46 of file spaceshipdlg.c.

## ◆ dialog_list_iterate_end

#define dialog_list_iterate_end LIST_ITERATE_END

Definition at line 48 of file spaceshipdlg.c.

## ◆ SPECLIST_TAG

#define SPECLIST_TAG dialog

Definition at line 42 of file spaceshipdlg.c.

## ◆ SPECLIST_TYPE

#define SPECLIST_TYPE struct small_dialog

Definition at line 43 of file spaceshipdlg.c.

## Function Documentation

## ◆ exit_space_dialog_callback()

static int exit_space_dialog_callback | ( | struct widget * | pwidget | ) |

static

User interacted with spaceship dialog close button.

Definition at line 87 of file spaceshipdlg.c.

Referenced by popup_spaceship_dialog().

## ◆ get_spaceship_dialog()

static struct small_dialog * get_spaceship_dialog | ( | struct player * | pplayer | ) |

static

Find spaceship dialog related to specified player.

Definition at line 56 of file spaceshipdlg.c.

## ◆ launch_spaceship_callback()

static int launch_spaceship_callback | ( | struct widget * | pwidget | ) |

static

User interacted with spaceship dialog launch button.

Definition at line 100 of file spaceshipdlg.c.

Referenced by popup_spaceship_dialog().

## ◆ popdown_spaceship_dialog()

void popdown_spaceship_dialog | ( | struct player * | pplayer | ) |

Close the spaceship dialog for the given player.

Definition at line 251 of file spaceshipdlg.c.

## ◆ popup_spaceship_dialog()

void popup_spaceship_dialog | ( | struct player * | pplayer | ) |

Popup (or raise) the spaceship dialog for the given player.

Definition at line 146 of file spaceshipdlg.c.

## ◆ refresh_spaceship_dialog()

void refresh_spaceship_dialog | ( | struct player * | pplayer | ) |

Refresh (update) the spaceship dialog for the given player.

Definition at line 112 of file spaceshipdlg.c.

## ◆ space_dialog_window_callback()

static int space_dialog_window_callback | ( | struct widget * | pwindow | ) |

static

User interacted with spaceship dialog window.

Definition at line 75 of file spaceshipdlg.c.

Referenced by popup_spaceship_dialog().

## Variable Documentation

## ◆ dialog_list

struct dialog_list* dialog_list = NULL

static

Definition at line 50 of file spaceshipdlg.c.

## ◆ dialog_list_has_been_initialised

bool dialog_list_has_been_initialised = FALSE

static

Definition at line 51 of file spaceshipdlg.c.

Referenced by get_spaceship_dialog().